ToDataException (Apache Geode 1.15.4)

org.apache.geode

## Class ToDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.GemFireIOException
          - - org.apache.geode.SerializationException
            - - org.apache.geode.ToDataException

- All Implemented Interfaces:
    Serializable

      public class ToDataException
      extends SerializationException

  A `ToDataException` is thrown during serialization if `DataSerializable.toData(java.io.DataOutput)` throws an exception or if `DataSerializer.toData(java.lang.Object, java.io.DataOutput)` is called and returns false.
  Since:
    GemFire 6.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToDataException(String message)` Creates a new `ToDataException` with the given message
    `ToDataException(String message, Throwable cause)` Creates a new `ToDataException` with the given message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToDataException

          public ToDataException(String message)

      Creates a new `ToDataException` with the given message
      Parameters:
        `message` - the detail message

    - #### ToDataException

          public ToDataException(String message,
                                 Throwable cause)

      Creates a new `ToDataException` with the given message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause